Bug 47906 - tulip 0.9.15-pre3 driver not initializing card
tulip 0.9.15-pre3 driver not initializing card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-08 21:22 EDT by Shawn Houston
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 23:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shawn Houston 2001-07-08 21:22:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-10 i586; en-US; rv:0.9.1)
Gecko/20010622

Description of problem:
I am using Redhat 7.1 i386, but using the rawhide kernel, 2.4.5-10 on two
of my four machines. I am trying to find a kernel that my VIA KX133 Athlon
MB likes. I want to use the same setup on all my machines but when I went
to install the rawhide kernel on my router its kensington combo card (DEC
tulip based) would not activate.

How reproducible:
Always

Steps to Reproduce:
1. Intall RedHat 7.1 i386 on i586 with all patches
2. Upgrade to rawhide e2fsprogs and kernel 2.4.5-10
3. Update lilo.conf and run lilo, reboot

You need a kensignton combo card with a DEC 21041 chipset
	

Actual Results:  My rtl8139 based card activates and configures
My Dec Tulip card does not activate, works fine on 2.4.2-12 kernel

Expected Results:  The Dec Tulip card should activate and configure.

Additional info:

the driver in 2.4.3-12 is 
Linux Tulip driver version 0.9.14 (February 20, 2001)
eth0: Digital DC21041 Tulip rev 17 at 0x5400, 21041 mode,
00:C0:F0:14:CC:C6, IRQ 11.

The driver in the 2.4.5-10 kernel is 0.9.15-pre3
Comment 1 Bill Nottingham 2001-07-09 00:30:36 EDT
plugged into a hub, by any chance?
Comment 2 Shawn Houston 2001-07-09 00:38:09 EDT
The card is plugged into a hub along with my cable modem, a com21, note that it
is _not_ a kinsington card...it is a _kingston_ card. My bad.
Comment 3 Shawn Houston 2001-07-20 03:25:57 EDT
Same problem using rawhide 2.4.6-2 kernel with 0.9.15-pre6 tulip driver.
From dmesg output:
Linux TuLinux Tulip driver version 0.9.15-pre6 (July 2, 2001)

Comment 4 Arjan van de Ven 2001-07-20 05:09:48 EDT
You're the third person seeing this. This means that we will either reuse
the exact driver in 2.4.2-2/2.4.3-12 soon, or at least ship both and do a 
per-PCI ID test which one works.

Note You need to log in before you can comment on or make changes to this bug.